> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Endpoint



## OpenAPI

````yaml /api-reference/openapi.json get /webhooks/{endpoint_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /webhooks/{endpoint_id}:
    get:
      tags:
        - Webhook Management
      summary: Get Webhook Endpoint
      operationId: get_webhook_endpoint_webhooks__endpoint_id__get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    EndpointOut:
      properties:
        channels:
          anyOf:
            - items:
                $ref: '#/components/schemas/Channel'
              type: array
              maxItems: 10
              minItems: 1
            - type: 'null'
          title: Channels
          description: List of message channels this endpoint listens to (omit for all)
          examples:
            - - project_123
              - group_2
        created_at:
          type: string
          format: date-time
          title: Created At
        description:
          type: string
          title: Description
          description: An example endpoint name
        disabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Disabled
          default: false
          examples:
            - false
        filter_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/FilterType'
              type: array
              minItems: 1
            - type: 'null'
          title: Filter Types
          examples:
            - - user.signup
              - user.deleted
        id:
          type: string
          title: Id
          description: The ep's ID
          examples:
            - ep_1srOrx2ZWZBpBUvZwXKQmoEYga2
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
        rate_limit:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Rate Limit
        uid:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
              pattern: ^[a-zA-Z0-9\-_.]+$
            - type: 'null'
          title: Uid
          description: Optional unique identifier for the endpoint
          examples:
            - unique-ep-identifier
        updated_at:
          type: string
          format: date-time
          title: Updated At
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
          examples:
            - https://example.com/webhook/
        version:
          type: integer
          minimum: 1
          title: Version
          examples:
            - 1
      type: object
      required:
        - created_at
        - description
        - id
        - metadata
        - updated_at
        - url
        - version
      title: EndpointOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Channel:
      type: string
      maxLength: 128
      pattern: ^[a-zA-Z0-9\-_.]+$
      title: Channel
      examples:
        - project_1337
    FilterType:
      type: string
      maxLength: 256
      pattern: ^[a-zA-Z0-9\-_.]+$
      title: FilterType
      description: The event type's name
      examples:
        - user.signup
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````